# util module contains utility functions that can be common or shared
# between the other modules.

import yandex_translate

from . import config

def breakpoint():
    """
    If DO_BREAKPOINTS is switched on, this will pause program
    execution and wait for the user to press enter to continue.
    """
    if config.obj.DO_BREAKPOINTS:
        input('BREAKPOINT hit. <Enter> to continue...')

def translate_text(source_language, target_language, text):
    translate = yandex_translate.YandexTranslate(config.obj.YANDEX_API_KEY)
    if not source_language:
        source_language = translate.detect(text)
    lang_direction = '%s-%s' % (source_language, target_language)
    result = translate.translate(text, lang_direction)
    return result['text'][0]

